Subject: Re: [Capwap] Proposed resolution to issues 72, 73, 108, 181, and 190.

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Mon, 9 Oct 2006 10:42:07 -0700

Mike,
 
I'm quite confused by this request. First, the WTP already sends back a
response message when it receives the request. Why can't we simply embed
the status code in that response message? I don't understand the need
for a new message.

Pat Calhoun
CTO, Wireless Networking Business Unit
Cisco Systems

________________________________

	From: Michael Montemurro [mailto:[email-masked]] 
	Sent: Saturday, September 23, 2006 11:55 AM
	To: capwap
	Subject: [Capwap] Proposed resolution to issues 72, 73, 108,
181, and 190.

	These issues all have to do with the configuration process and
error handing of that process. 
	 
	I propose to resolve these comments by doing the following:
	1) Add a add a Configuration Status Acknowledgement Frame. The
WTP would send this frame back with a status code to indicate success or
failure of its ability to apply the configuration.
	 
	2) The configuration update response could be modified to
include any message elements that could not be applied by the WTP.
	 
	3) In the case of a configuration message that exceeds the MTU
between the WTP and the AC, the CAPWAP fragmentation mechanism would be
allow the message to be fragmented by the AC and reassembled by the WTP.
I don't think there needs to be any updates to CAPWAP to address this
issue. 
	 
	Cheers,
	 
	Mike

_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap